Package org.pgpainless.decryption_verification

# Class MessageInspector.EncryptionInfo

java.lang.Object
org.pgpainless.decryption_verification.MessageInspector.EncryptionInfo

Enclosing class:
  `MessageInspector`

public static class MessageInspector.EncryptionInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`EncryptionInfo()`

## Method Summary

Modifier and Type
Method
Description
`List<Long>`
`getKeyIds()`
Return a list of recipient key ids for whom the message is encrypted.
`boolean`
`isEncrypted()`
Return true, if the message is encrypted.
`boolean`
`isPassphraseEncrypted()`
`boolean`
`isSignedOnly()`
Return true, if the message is not encrypted, but signed using `OnePassSignatures`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EncryptionInfo

public EncryptionInfo()

## Method Details

### getKeyIds

public List<Long> getKeyIds()
Return a list of recipient key ids for whom the message is encrypted.

Returns:
  recipient key ids

### isPassphraseEncrypted

public boolean isPassphraseEncrypted()

### isEncrypted

public boolean isEncrypted()
Return true, if the message is encrypted.

Returns:
  true if encrypted

### isSignedOnly

public boolean isSignedOnly()
Return true, if the message is not encrypted, but signed using `OnePassSignatures`.

Returns:
  true if message is signed only